EXTRA_PROGRAMS=mttest

mttest_SOURCES=mttest.c
mttest_LDFLAGS=-L$(top_builddir)/crypto -L$(top_builddir)/ssl
mttest_LDADD=-lssl -lcrypto
mttest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a \
	$(top_builddir)/ssl/libssl.a

EXTRA_DIST=README profile.sh ptest.bat purify.sh solaris.sh win32.bat

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a

$(top_builddir)/ssl/libssl.a:
	cd $(top_builddir)/ssl; $(MAKE) $(MFLAGS) libssl.a
